import { FC } from 'react';
export declare type CommonHeaderTab = {
    current: boolean;
    path: string;
    value?: string;
    badgeCount?: number;
    mobileIcon?: string;
    fake?: boolean;
};
declare type Props = {
    logoPath: string;
    avatarPath: string;
    avatarPhoto?: string;
    messagesPath: string;
    desktopTabs: CommonHeaderTab[];
    mobileTabs: CommonHeaderTab[];
};
declare const CommonHeader: FC<Props>;
export default CommonHeader;
