import React, { FC, RefObject } from 'react';
import { NavbarElementProps } from 'react-day-picker';
import DayPickerInput from 'react-day-picker/types/DayPickerInput';
interface CustomOverlayProps {
    dayPickerRef: RefObject<DayPickerInput>;
}
export declare const CustomOverlay: FC<CustomOverlayProps>;
interface CustomNavbarProps extends NavbarElementProps {
    selectedMonth: Date;
    setSelectedMonth: (d: Date) => void;
}
export declare const CustomNavbar: FC<CustomNavbarProps>;
interface CustomDayCellProps {
    day: Date;
}
export declare const CustomDayCell: FC<CustomDayCellProps>;
export declare class CustomInput extends React.Component {
    innerInputRef: React.RefObject<HTMLInputElement>;
    constructor(props: any);
    focus: () => void | undefined;
    render(): JSX.Element;
}
export {};
