import React, { InputHTMLAttributes } from 'react';
export interface InputProps extends InputHTMLAttributes<HTMLInputElement> {
    icon?: string;
    iconPosition?: 'left' | 'right';
    onIconClick?: (event: React.MouseEvent<HTMLElement>) => void;
    error?: string;
    bold?: boolean;
    label?: string;
}
declare const _default: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
export default _default;
