import { FC } from 'react';
import { OptionsType } from 'react-select';
export declare enum SelectType {
    Default = "default",
    Tags = "tags",
    Names = "names"
}
export declare type OptionType = {
    value: string;
    label: string;
    disabled?: boolean;
    img?: string;
};
interface SelectProps {
    name: string;
    options: OptionType[];
    value?: OptionType | OptionsType<OptionType>;
    onChange?: (options: OptionType | OptionsType<OptionType> | null) => void;
    placeholder?: string;
    type?: `${SelectType}`;
    error?: string;
}
declare const SelectComponent: FC<SelectProps>;
export default SelectComponent;
