import { FC } from 'react';
import { OptionsType, OptionTypeBase } from 'react-select';
export declare type SkillsOptionType = OptionTypeBase & {
    value: string;
    label: string;
};
declare type Props = {
    selectedSkills: OptionsType<SkillsOptionType>;
    availableSkills: OptionsType<SkillsOptionType>;
    onChange: (v: OptionsType<SkillsOptionType>) => void;
    placeholder?: string;
    title?: string;
    description?: string;
    isCaseSensitive?: boolean;
};
declare const Skills: FC<Props>;
export default Skills;
