'use strict';

var MONTHS = {
    en: [
        'January',
        'February',
        'March',
        'April',
        'May',
        'June',
        'July',
        'August',
        'September',
        'October',
        'November',
        'December'
    ]
};
var CalendarConsts = {
    MONTHS: MONTHS
};

var LIMIT = 10; //for pagination
var AppDataConsts = {
    LIMIT: LIMIT
};

var Regexs = {
    EMAIL: /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
    PASSWORD: /(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W)/
};

var defaultTimes = {
    morning: [
        new Date(2021, 6, 9, 8),
        new Date(2021, 6, 9, 8, 30),
        new Date(2021, 6, 9, 9),
        new Date(2021, 6, 9, 9, 30),
        new Date(2021, 6, 9, 10),
        new Date(2021, 6, 9, 10, 30),
        new Date(2021, 6, 9, 11),
        new Date(2021, 6, 9, 11, 30)
    ],
    afternoon: [
        new Date(2021, 6, 9, 12),
        new Date(2021, 6, 9, 12, 30),
        new Date(2021, 6, 9, 13),
        new Date(2021, 6, 9, 13, 30),
        new Date(2021, 6, 9, 14),
        new Date(2021, 6, 9, 14, 30),
        new Date(2021, 6, 9, 15),
        new Date(2021, 6, 9, 15, 30),
        new Date(2021, 6, 9, 16),
        new Date(2021, 6, 9, 16, 30)
    ],
    evening: [
        new Date(2021, 6, 9, 17),
        new Date(2021, 6, 9, 17, 30),
        new Date(2021, 6, 9, 18),
        new Date(2021, 6, 9, 18, 30),
        new Date(2021, 6, 9, 19),
        new Date(2021, 6, 9, 19, 30),
        new Date(2021, 6, 9, 20)
    ]
};

exports.AppDataConsts = AppDataConsts;
exports.CalendarConsts = CalendarConsts;
exports.LIMIT = LIMIT;
exports.MONTHS = MONTHS;
exports.Regexs = Regexs;
exports.defaultTimes = defaultTimes;
