import { FC } from 'react';
export declare enum ChooseDateSelectors {
    Immediately = 0,
    InTwoWeeks = 1,
    InMonth = 2
}
declare type Props = {
    id: string;
    onChange: (value: string) => void;
    value: string;
    label?: string;
    placeholder?: string;
    error?: string;
    variant?: 'separated' | 'separated-outlined' | 'combined';
    defaultValue?: ChooseDateSelectors;
};
declare const ChooseDate: FC<Props>;
export default ChooseDate;
